Devuan bug report logs - #514
[libpulse0] pulseaudio not autospawning

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: RhineDevil <tanyadegurechaff@waifu.club>

Date: Thu, 8 Oct 2020 13:33:02 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 318, 367, 375, 378, 403, 466, 473, 480, 520

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#514; Package libpulse0. (Thu, 08 Oct 2020 13:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to RhineDevil <tanyadegurechaff@waifu.club>:
New bug report received and forwarded. Copy sent to Dima Krasner <dima@dimakrasner.com>. (Thu, 08 Oct 2020 13:33:09 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: RhineDevil <tanyadegurechaff@waifu.club>
To: submit@bugs.devuan.org
Subject: [libpulse0] pulseaudio not autospawning
Date: Thu, 8 Oct 2020 15:13:26 +0200
[Message part 1 (text/plain, inline)]
Package: libpulse0
Severity: normal

/etc/pulse/client.conf.d/00-disable-autospawn.conf is totally out of place, it's a fix intended only for systemd [in debian it's apparently systemd taking care of pulseaudio start] and should be removed from libpulse0 package in devuan, as it prevents pulseaudio from starting when an application requests its presence

--- System information. ---
Architecture:
Kernel:       Linux 4.19.0-9-amd64

Debian Release: 10.0
  500 stable-security deb.devuan.org
  500 stable          deb.devuan.org

--- Package information. ---
Package's Depends field is empty

Package's Recommends field is empty

Package's Suggests field is empty
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#514; Package libpulse0. (Thu, 08 Oct 2020 17:03:02 GMT) (full text, mbox, link).


Message #8 received at 514@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: RhineDevil <tanyadegurechaff@waifu.club>, 514@bugs.devuan.org
Subject: Re: bug#514: [libpulse0] pulseaudio not autospawning
Date: Thu, 8 Oct 2020 17:40:00 +0100
Control: reassign -1 pulseaudio
Control: forcemerge 276 -1 

On Thu, Oct 08, 2020 at 03:13:26PM +0200, RhineDevil wrote:
> Package: libpulse0
> Severity: normal
> 
> /etc/pulse/client.conf.d/00-disable-autospawn.conf is totally out of place,
> it's a fix intended only for systemd [in debian it's apparently systemd taking
> care of pulseaudio start] and should be removed from libpulse0 package in
> devuan, as it prevents pulseaudio from starting when an application requests
> its presence

This is already a known issue and the required configuration is in the release
notes: http://files.devuan.org/devuan_beowulf/Release_notes.txt

Thanks

Mark

bug reassigned from package 'libpulse0' to 'pulseaudio'. Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Marked bug as done Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Notification sent to RhineDevil <tanyadegurechaff@waifu.club>:
bug acknowledged by developer. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Marked as found in versions 12.2-4+deb10u1. Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Added tag(s) patch, beowulf, and moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:06 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 514 Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:07 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 514 520 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sat, 07 Nov 2020 10:33:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Apr 15 17:26:00 2021;